<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [placeOrder](./bitburner.stock.placeorder.md)

## Stock.placeOrder() method

Place order for stocks.

**Signature:**

```typescript
placeOrder(sym: string, shares: number, price: number, orderType: OrderType, positionType: PositionType): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
<tr><td>

shares


</td><td>

number


</td><td>

Number of shares for order. Must be positive. Will be rounded to the nearest integer.


</td></tr>
<tr><td>

price


</td><td>

number


</td><td>

Execution price for the order.


</td></tr>
<tr><td>

orderType


</td><td>

[OrderType](./bitburner.ordertype.md)


</td><td>

Type of order.


</td></tr>
<tr><td>

positionType


</td><td>

[PositionType](./bitburner.positiontype.md)


</td><td>

Specifies whether the order is a Long ("L") or Short ("S") position.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the order is successfully placed, and false otherwise.

## Remarks

RAM cost: 2.5 GB

Places an order on the stock market. This function only works for Limit and Stop Orders.

The ability to place limit and stop orders is \*\*not\*\* immediately available to the player and must be unlocked later on in the game.

Returns true if the order is successfully placed, and false otherwise.

